#!/bin/bash

file='./logins.csv'

while read line
do

    username=$(echo $line | cut -d ";" -f1)
    # créer l'utilisateur 
    # option -m créer le répertoire courant dans /home et -s indique le shell
    useradd -m -s "/bin/bash" $username

    group=$(echo $line | cut -d ";" -f5)
    # ajout l'utilisateur à son groupe
    usermod -aG $group $username

    password=$(echo $line | cut -d ";" -f2)

    # permet de changer le mot de passe
    echo $username:$password | chpasswd

    chown $username:$username /home/$username

done < $file