#!/bin/bash

    # Affectation du nom d'utilisateur passé en paramètre à la variable "username"
#[...]
username=$1
    # extraction de la ligne correspondante du fichier de logs
user_line=$(grep $username ./logs_access.txt)
    # Création d'une variable comprenant les groupes recherchés
groups=""
    # Vérification de la présence du groupe sudo -> ajout de la fonction "administrateur" à $groups
if [[ $(echo $user_line | grep "sudo") != "" ]] ; then
    groups=$groups" administrateur "
fi
    # Vérification de la présence du groupe slam -> ajout de la fonction "développeur" à $groups
#[...]
if [[ $(echo $user_line | grep "slam") != "" ]] ; then
    groups=$groups" développeur "
fi
    # Vérification de la présence du groupe sisr -> ajout de la fonction "technicien" à $groups
#[...]
if [[ $(echo $user_line | grep "sisr") != "" ]] ; then
    groups=$groups" technicien "
fi
    # récupération du champ date + temps
date_time=$(echo $user_line | cut -d ":" -f4)
    # récupération des champs dates (format US) et temps dans deux variables distinctes
date_us=$(echo $date_time | cut -d "_" -f1)
#[...]
time_us=$(echo $date_time | cut -d "_" -f2)
    # extraction de chaque information utile de ces champs
day=$(echo $date_us | cut -d "/" -f3)
month=$(echo $date_us | cut -d "/" -f2)
#[...]
year=$(echo $date_us | cut -d "/" -f1)
hours=$(echo $time_us | cut -d "-" -f1)
min=$(echo $time_us | cut -d "-" -f2)
sec=$(echo $time_us | cut -d "-" -f3)
    # affichage du message
#[...]
echo "L'utilisateur $username est membre de(s) groupe(s)  $groups  et sa dernière connexion remonte au $day/$month/$year à $hours h $min min et $sec sec."