#!/bin/bash

file='./Users.csv'
loginfile='./logins.csv'

# Suppression du fichier 
rm $loginfile 2> /dev/null # Redirection des erreurs
# Création du fichier login.csv
touch $loginfile

while read ligne
do
    writelogin=""
    # A chaque itération, stocker le prénom dans $prenom
    first_name=$(echo $ligne | cut -d "," -f1)
    # A chaque itération, stocker le nom dans $nom
    last_name=$(echo $ligne | cut -d "," -f2)
    # A chaque itération, stocker le groupe utilisateur dans $group
    group=$(echo $ligne | cut -d "," -f5)
    # A chaque itération, stocker l'identifiant dans $login
    login=$(echo $first_name | cut -c1)$last_name
    # permert de transformer les majuscule en minuscule
    login=$(echo $login | tr [:upper:] [:lower:])
    # permet de supprimer les caractères spéciaux
    login=$(echo $login | tr -dc [:alnum:])
    # A chaque itération, stocker le mot de passe dans $password
    password=$(tr -dc A-Za-z0-9 </dev/urandom | head -c8)

    # A chaque itération, stocker les informations récupéraient précédement dans $writelogin
    writelogin="$login;$password;$first_name;$last_name;$group"

    echo $writelogin >> $loginfile
done < $file 

